Bug 1283193 - qdrouterd segfault
qdrouterd segfault
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity urgent (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
:
Depends On:
Blocks: 1338516
  Show dependency treegraph
 
Reported: 2015-11-18 07:34 EST by Alexander Braverman
Modified: 2016-05-22 07:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 11:25:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
foreman-debug (12.25 MB, application/x-xz)
2015-11-18 07:34 EST, Alexander Braverman
no flags Details

  None (edit)
Description Alexander Braverman 2015-11-18 07:34:29 EST
Created attachment 1096022 [details]
foreman-debug

Description of problem:
During sync on new capsule, the qdrouterd on Satellite server terminated with error:
Nov 17 11:41:33 satellite6-ops kernel: qdrouterd[30362]: segfault at 30 ip 000000304081b26c sp 00007fef887e2338 error 4 in libqpid-proton.so.2.0.0[3040800000+4d000]

How reproducible:
Trigger the capsule sync:
hammer -u abraverm capsule content synchronize --id 10

Actual results:
The error above in Satellite /var/log/messages and connection error in Capsule:
Nov 18 11:35:16 vm-18-115 pulp: pulp.server.async.scheduler:ERROR: could not connect to localhost:27017: [Errno 111] Connection refused
Nov 18 11:35:16 vm-18-115 pulp: pulp.server.db.connection:ERROR: find_one operation failed on pulp_database.users
Nov 18 11:35:16 vm-18-115 mongod: about to fork child process, waiting until server is ready for connections.
Nov 18 11:35:21 vm-18-115 pulp: celery.worker.consumer:ERROR: (29502-28288) consumer: Cannot connect to qpid://capsule-ops.eng.lab.tlv.redhat.com:5671//: [Errno 104] Connection reset by peer.
Nov 18 12:00:44 vm-18-115 goferd: [ERROR][worker-0] gofer.messaging.adapter.proton.connection:106 - connect: proton+amqps://satellite6-ops.rhev-ci-vms.eng.rdu2.redhat.com:5647, failed: Connection amqps://satellite6-ops.rhev-ci-vms.eng.rdu2.redhat.com:5647 disconnected


Expected results:
service qdrouterd is running

Additional Info:
The Capsule is new deployment. Satellite is an upgrade from 6.0
Comment 1 Pavel Moravec 2015-11-18 07:51:35 EST
You are having:

qpid-dispatch-router-0.4-7.el6.x86_64

while 0.4-10 version fixes several segfaults:

https://issues.jboss.org/browse/ENTMQ-1109
https://issues.jboss.org/browse/ENTMQ-1148
https://issues.jboss.org/browse/ENTMQ-1163
(and I guess one or two more)

I recommend upgrading to Sat 6.1.3 containing qdrouterd of version 0.4-10.

If that version would segfault, please enable abrt to generate abrt report and provide it (esp. coredump from it).
Comment 2 Bryan Kearney 2015-11-24 11:21:20 EST
please see the comment from pavel. Can you please let us know if 6.1.3 solves the issue?
Comment 3 Alexander Braverman 2015-11-24 11:25:13 EST
Upgrading to 6.1.3 solved the issue.
Thank you Pavel.

Note You need to log in before you can comment on or make changes to this bug.